Page 15 of 37 FirstFirst ... 5101112131415161718192025 ... LastLast
Results 281 to 300 of 724
Like Tree5Likes
  1. #281  
    I am having SOS issues with a Rebel SIM and WebOS 1.4

    So I was trying to downgrade to 1.3.5.2
    But

    john@JOHN ~/meta-doctor
    $ make CARRIER=wr unpack patch pack
    mkdir -p downloads
    Please download the correct version of the webOS Doctor .jar file
    and then move it to downloads/webosdoctorp100ueu-wr-1.4.0.jar (i.e. the download
    s directory that was just created under the current directory).
    make: *** [downloads/webosdoctorp100ueu-wr-1.4.0.jar] Error 1
    Is there a separate Meta-Doctor version for 1.3.5.2 ?
  2. PapaDocta's Avatar
    Posts
    19 Posts
    Global Posts
    37 Global Posts
    #282  
    i can't find the prl file inside the webos 1.4 .. the older version used to have it in a tmp folder... i need to edit the prl file and flash it to the phone since i can't use the usbpassthrough method to enable diag mode
  3. fakemirror
    fakemirror's Avatar
    #283  
    Quote Originally Posted by rwhitby View Post
    I have created a tool which will download, unpack, patch, and repack a webOS Doctor image, applying a number of transformations along the way to:

    1. Bypass the need for activation
    2. Enable Palm Profile access
    3. Set developer mode on by default
    4. Increase the size of the /var partition to 2GB

    See my blog post at rwhitby.net : The WebOS Internals Meta-Doctor for details.

    You can find this tool in the WebOS Internals source code repository at git.webos-internals.org Git - tools/meta-doctor.git/summary

    The tool requires a Ubuntu Linux host to run. I encourage others to take the techniques embodied in the tool and create a cross-platform solution. This does what I need, and I'm not personally interested in creating such a cross-platform tool, but will assist anyone else who is interested.

    Do not redistribute modified versions of the webOS Doctor created using this tool it is for end-user use only. Redistribution of the webOS Doctor (either original files or modified files) is a violation of copyright law.

    -- Rod
    Can someone give me a little guidance on how to run this package.

    Though I am very familiar in doctoring my Sprint Pre with an old version (1.10), I now want to use the current 1.4.0 Meta-Doctor version.
    1. I have a Ubuntu 9.10 laptop.
    2. I have a Sprint Pre (CDMA) on webOS 1.3.1.5
    3. My Ubuntu PC has Synaptic Package Manager
    4. I can see this repository as indicated by Rod: git.webos-internals.org Git - tools/meta-doctor.git/summary
    5. My question is, how do I run / extract/ install this package ?
    Appreciate any help - I am a newbie with Linux.
    Thanks
  4. fakemirror
    fakemirror's Avatar
    #284  
    I guess nobody will help me with my simple issue - oh well, so much for helpful forums.
  5.    #285  
    Quote Originally Posted by fakemirror View Post
    I guess nobody will help me with my simple issue - oh well, so much for helpful forums.
    Running the meta-doctor is not simple.

    That's why there are other threads which give detailed instructions.

    -- Rod
  6. bwze's Avatar
    Posts
    40 Posts
    Global Posts
    47 Global Posts
    #286  
    I didn't use the Ubuntu option. I installed Cywgin and did it that way with no issues whatsoever. I just followed the steps....one at a time......and I'm definitely no expert...
  7. #287  
    Quote Originally Posted by fakemirror View Post
    I guess nobody will help me with my simple issue - oh well, so much for helpful forums.
    See my signature.

    P|C didn't email me with an update to this thread, so I typically miss things like that.
  8. fakemirror
    fakemirror's Avatar
    #288  
    grndslm, you have been very helpful ! I can actually understand most of the steps in your cross-platform instructions. I get on to it right away. Thank you very much.
  9. mhous33's Avatar
    Posts
    99 Posts
    Global Posts
    108 Global Posts
    #289  
    Love this tool! Have made multiple versions of 1.4.0 for myself with ubuntu running in virtualbox.
    My favorite combo is enable devmode, disable upload daemon, disable carrier check, disable modem update.
    Seems to run alot smoother with the carrier apps removed (Amazon, Mobile Hotspot, VZ Navigator).

    Thanks again, rwhitby!!!
  10. #290  
    Hi, I can't complete the activation and I try to bypass it.
    I have a Movistar Palm Pre.
    I download an compile the Meta Doctor with the option BYPASS_ACTIVATION = 1, BYPASS_FIRST_USE_APP = 1, REMOVE_CARRIER_CHECK = 1
    When the program start the update and the progressbar come to 4%, the USB logo change to palm logo. Then after a minute (approximately) the program show Phone disconnected message. I try with 1.4.0 and 1.3.5.2 versions with same result
    Thanks in advance
  11. #291  
    Quote Originally Posted by Crandel View Post
    Hi, I can't complete the activation and I try to bypass it.
    I have a Movistar Palm Pre.
    ... and which carrier's Doctor are you using?

    I'm not sure why people would leave REMOVE_MODEL_CHECK disabled...

    That could very well be it, but I'm not positive.
  12. #292  
    Hi..I'm having a problem with meta-doctor. After the make command, it copies the doctor file to the build directory, after which it says /bin/sh: line 1: unzip: command not found

    I'm using Cygwin

    Can someone please help?
  13. #293  
    Hi,

    I finally succeeded in making meta-doctor work on a Mac OSX.6. Here is the little changes I had to do in the Makefile

    - on the mac, get the latest gnutar utility. The default one shipped with mac osx is 1.17 and inserts metadata file (._filename) with the file when you insert a file in a tar file with the -r option. If you type "sudo port install gnutar", you will get it if Darwin port is install on your Mac. You will get the 1.22 version
    - Change the line in Makefile "ifeq ($(shell uname -s),Darwin) TAR = gnutar" with "ifeq ($(shell uname -s),Darwin) TAR = /opt/local/bin/gnutar". in order to get the 1.22 version, not the default one.
    - change in Makefile all "| xargs md5sum" with "| xargs md5 -r"
    - I changed in Makefile the version number for bell mobility. It is now 1.4.1
    - I have created a sym link for the patch file for bell. The same one as the 1.4.0 version
    - you may also need to add "export COPYFILE_DISABLE=true". I don't remember if it is usefull or not. It is supposed to remove the "._filename" metadata file with the gnutar.

    after that every thing was fine, and I was able to create a patched version of the 1.4.1 webOS version for bell mobility.

    PS. Don't forget to keep an eye on the console application on the Mac. This is where you track all progress during the install, and you find the cause of the error.
    I also probably have some development tool (make, ...) already installed on my Mac since I have installed the Apple SDK some time ago.
    Last edited by dernotte; 04/06/2010 at 12:38 PM.
  14. #294  
    Quote Originally Posted by abhinandanjain View Post
    Hi..I'm having a problem with meta-doctor. After the make command, it copies the doctor file to the build directory, after which it says /bin/sh: line 1: unzip: command not found

    I'm using Cygwin

    Can someone please help?
    Application:MetaDoctor - WebOS Internals
  15. #295  
    is there any way to do this in vista? I have a pre I misplaced, then found, when I had already received a replacement. I would like to use it as an mp3 player. Im not experience with Linux or re-programing , nore have a Mac, so not sure how to handle this. Any help is appreciated.
  16.    #296  
    Quote Originally Posted by Firebluepre View Post
    is there any way to do this in vista? I have a pre I misplaced, then found, when I had already received a replacement. I would like to use it as an mp3 player. Im not experience with Linux or re-programing , nore have a Mac, so not sure how to handle this. Any help is appreciated.
    Install VirtualBox and Ubuntu Linux.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  17. #297  
    Quote Originally Posted by Firebluepre View Post
    is there any way to do this in vista? I have a pre I misplaced, then found, when I had already received a replacement. I would like to use it as an mp3 player. Im not experience with Linux or re-programing , nore have a Mac, so not sure how to handle this. Any help is appreciated.
    Copy & paste the second link in my sig.
  18. #298  
    Quote Originally Posted by Firebluepre View Post
    is there any way to do this in vista? I have a pre I misplaced, then found, when I had already received a replacement. I would like to use it as an mp3 player. Im not experience with Linux or re-programing , nore have a Mac, so not sure how to handle this. Any help is appreciated.
    Quote Originally Posted by rwhitby View Post
    Install VirtualBox and Ubuntu Linux.

    -- Rod
    I'd like to add the Cygwin option...The setup is fairly quick and easy to do, and the MetaDoctor wiki instructions reference the steps using Cygwin quite well.

    Cygwin Information and Installation

    Application:MetaDoctor - WebOS Internals

    My start to finish was about 45 minutes.

    .
  19. #299  
    Quote Originally Posted by grndslm View Post
    Copy & paste the second link in my sig.
    Ok, I got all of way to step 8 or on "download#" on the terminal. I copy and paste the command "wget" and it says not found. I'm not sure what Im doing wrong. thanks for the help.
  20. #300  
    Quote Originally Posted by Firebluepre View Post
    Ok, I got all of way to step 8 or on "download#" on the terminal. I copy and paste the command "wget" and it says not found. I'm not sure what Im doing wrong. thanks for the help.
    Well, the directions say that they were written with a Sprint 1.4 Doctor in mind...

    Now that 1.4.1[.1] is out... why would you copy & paste that outdated command when I link you to the list of various Doctor versions?? Note... only the newest Doctor works now. That's just the new policy at Palm, I believe.

Posting Permissions